KinoSearch1::Search::MultiSearcher(3pm)

Dummy class, only here to support initialization of Weights from Queries.

NAME
KinoSearch1::Search::MultiSearcher - Aggregate results from multiple searchers.

SYNOPSIS
    for my $server_name (@server_names) {
        push @searchers, KinoSearch1::Search::SearchClient->new(
            peer_address => "$server_name:$port",
            analyzer     => $analyzer,
            password     => $pass,
        );
    }
    my $multi_searcher = KinoSearch1::Search::MultiSearcher->new(
        searchables => \@searchers,
        analyzer    => $analyzer,
    );
    my $hits = $multi_searcher->search( query => $query );

DESCRIPTION
Aside from the arguments to its constructor, MultiSearcher looks and acts just like a KinoSearch1::Searcher object.

The primary use for MultiSearcher is to aggregate results from several remote searchers via SearchClient, diffusing the cost of searching a large corpus over multiple machines.

METHODS

  new
Constructor. Takes two hash-style parameters, both of which are required.

•   analyzer - an item which subclasses KinoSearch1::Analysis::Analyzer.

•   searchables - a reference to an array of searchers.

COPYRIGHT
Copyright 2006-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.